LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XDrop Interface Referencepublished

provides methods to remove an element of its container and to drop it from the related database. More...

`import"XDrop.idl";`

Inheritance diagram for XDrop:

## Public Member Functions
void | dropByName ([in]string elementName) raises (com::sun::star::sdbc::SQLException, com::sun::star::container::NoSuchElementException)
| drops an object of the related container identified by its name. More...
void | dropByIndex ([in]long index) raises (com::sun::star::sdbc::SQLException, com::sun::star::lang::IndexOutOfBoundsException)
| drops an object of the related container identified by its position. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides methods to remove an element of its container and to drop it from the related database.

## Member Function Documentation

## ◆ dropByIndex()

void dropByIndex | ( | [in] long | index | ) |
raises | ( | com::sun::star::sdbc::SQLException,
|  | com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

drops an object of the related container identified by its position.

Parameters

  index | the position of the element to be dropped

Exceptions

  com::sun::star::sdbc::SQLException | if a database access error occurs.

## ◆ dropByName()

void dropByName | ( | [in] string | elementName | ) |
raises | ( | com::sun::star::sdbc::SQLException,
|  | com::sun::star::container::NoSuchElementException
| ) |  |

drops an object of the related container identified by its name.

Parameters

  elementName | the name of the element to be dropped

Exceptions

  com::sun::star::sdbc::SQLException | if a database access error occurs.

The documentation for this interface was generated from the following file:

- com/sun/star/sdbcx/XDrop.idl